package vin.vio.collaboraonline.config.filter;

import jakarta.servlet.*;
import jakarta.servlet.http.HttpServletRequest;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

import java.io.IOException;

/**
 * @Description: 设置需要使用的配置文件
 * @Date: 2025/2/26 9:50
 * @Created: by ZZSLL
 */

@Configuration
public class ProfileSplitFilter implements Filter {
    @Override
    public void doFilter(ServletRequest servletRequest, ServletResponse response, FilterChain chain) throws IOException, ServletException {
        HttpServletRequest request = (HttpServletRequest) servletRequest;
        String path = request.getRequestURI();
        String[] parts = path.split("/");
        if (parts.length > 1) {
            String tenant = parts[1];
            if (!"wopi".equals(tenant)) {
                request.setAttribute("tenant", tenant);
            } else {
                request.setAttribute("tenant", "cmoc");
            }
        }
        chain.doFilter(request, response);
    }
}
